### Method

# FwupdPlugin Firmware has_flag

#### Declaration [src]

    gboolean
    fu_firmware_has_flag (
      FuFirmware* self,
      FuFirmwareFlags flag
    )

#### Description [src]

Finds if the firmware has a specific firmware flag.

Available since: | 1.5.0

#### Parameters

`flag` | `FuFirmwareFlags`
| The firmware flag.

#### Return value

Returns: | `gboolean`
| `TRUE` if the flag is set.